
From: <gerg@snapgear.com>

Add type specifier to printk calls.  Patch originally from kernel janitors.


---

 25-akpm/arch/m68knommu/platform/68360/config.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/m68knommu/platform/68360/config.c~68360-configc-printk-cleanup arch/m68knommu/platform/68360/config.c
--- 25/arch/m68knommu/platform/68360/config.c~68360-configc-printk-cleanup	Fri Apr  9 14:34:02 2004
+++ 25-akpm/arch/m68knommu/platform/68360/config.c	Fri Apr  9 14:34:02 2004
@@ -181,12 +181,12 @@ void config_BSP(char *command, int len)
      }
   }
 
-  printk("\n68360 QUICC support (C) 2000 Lineo Inc.\n");
+  printk(KERN_INFO "\n68360 QUICC support (C) 2000 Lineo Inc.\n");
 
 #if defined(CONFIG_UCQUICC) && 0
-  printk("uCquicc serial string [%s]\n",getserialnum());
+  printk(KERN_INFO "uCquicc serial string [%s]\n",getserialnum());
   p = scc1_hwaddr = gethwaddr(0);
-  printk("uCquicc hwaddr %.2x:%.2x:%.2x:%.2x:%.2x:%.2x\n",
+  printk(KERN_INFO "uCquicc hwaddr %.2x:%.2x:%.2x:%.2x:%.2x:%.2x\n",
          p[0], p[1], p[2], p[3], p[4], p[5]);
 
   p = getbenv("APPEND");

_
